$(function() {
	var lan = getLanguage();

	window.onload = function() {
		changeLang();

		var chain = getActiveChain();
    	if(chain == null) {
    		chain = "ETHG"
    	}
    	System.chain = chain;
	}

	window.clickAddToken = function() {
		var contrAddr = document.getElementById("input_contract_addr").value;
		var symbol = document.getElementById("input_symbol").value;
		var decimal = document.getElementById("input_decimals").value;
		contrAddr = contrAddr.trim();

		if(is_eth_addr(contrAddr)) {
			if(isTokenInTokenList(System.chain, contrAddr)) {
				toast(lan.ALERT_TOKEN_IN_LIST);
			} else {
				if(symbol == "" || decimal == "") {
					toast(lan.LAB_MESCORLL_TIP_3);
					return;
				}

				newTokenToCache(System.chain, contrAddr, symbol, decimal);
				toast(lan.ALERT_TOKEN_ADD_SUCC);

				document.getElementById("input_contract_addr").value = "";
				document.getElementById("input_symbol").value = "";
				document.getElementById("input_decimals").value = "";
			}
		} else {
			toast(lan.ALERT_INVALID_TOKEN);
		}
	}

	window.changeContract = function() {
		var contrAddr = document.getElementById("input_contract_addr").value;
		contrAddr = contrAddr.trim();
		if(is_eth_addr(contrAddr)) {
			setTimeout(function() {
				rpc_ethCall(contrAddr, "0x95d89b41", function(data_symbol) {
					document.getElementById("input_symbol").value = showTokenSymbol(data_symbol)
				}, function(err_symbol) {
					
				});
			}, 50);

			setTimeout(function() {
				rpc_ethCall(contrAddr, "0x313ce567", function(data_decimals) {
					document.getElementById("input_decimals").value = Number("0x" + data_decimals.substr(60))
				}, function(err_symbol) {
					
				});
			}, 150);

		}
	}

})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

$('.ad_one').on('click', function() {
	clickPagePrev(true);
})

$('.ad_two').on('click', function() {
	window.clickAddToken();
})

$('#input_contract_addr').on('input', function() {
	window.changeContract();
})
