var lan = getLanguage();
var clickedChain = "ETHG";

$(function() {

	 var eye = 0;
    var balance_table = {};
    var balance_usdt = "";

    function showEye() {
    	if(eye == 0) {
    		document.getElementById('id_img_eye').src = "image/e_19.png";
    	} else {
    		document.getElementById('id_img_eye').src = "image/e_71.png";
    	}
    	if(eye == 0) {
	    	for(var key in balance_table) {
	    		document.getElementById(key).innerHTML = balance_table[key];
	    	}

	    	if(balance_usdt != "" && balance_table["lab_balance"] != null) {
	    		document.getElementById("lab_balance_usdt").innerHTML = "$ " + (balance_usdt * balance_table["lab_balance"]).toFixed(4);
	    	}
	    } else {
	    	for(var key in balance_table) {
	    		document.getElementById(key).innerHTML = "***";
	    	}

	    	document.getElementById("lab_balance_usdt").innerHTML = "***";
	    }
    }

    window.hideBalance = function() {
    	setEye();
    	eye = getEye();
    	showEye();
    }

    window.onload = function() {
    	changeLang();

    	eye = getEye();

    	var chain = getActiveChain();
    	if(chain == null) {
    		chain = "ETHG"
    	}
    	System.chain = chain;

    	//System.chain = "ETHG";
    	var curr = getCurrent();
    	System.addr = curr.addr;

    	var other = getAnotherName(System.addr);
    	document.getElementById("lab_name").innerHTML = (other == "") ? curr.name : other;
    	rpc_getBalance(curr.addr, function(data_bal) {
    		// document.getElementById("lab_balance").innerHTML = showAmount(data_bal);
    		// document.getElementById("lab_token_balance").innerHTML = showAmount(data_bal);

    		balance_table["lab_balance"] = showAmount(data_bal);
    		balance_table["lab_token_balance"] = showAmount(data_bal);

    		showEye();

    	}, function(err_bal) {

    	});

    	setTimeout(function() {
	    	proxyGetPrice(System.chain, function(data_price) {
	    		balance_usdt = data_price.price;

	    		showEye();
	    	}, function(err_price) {

	    	});
	    }, 150);

    	renderAddrsByChain(System.chain);
    	renderChainMenu(System.chain);

    	window.renderTokens();
    }

    window.clickExports = function() {
    	clickPageNext("exportMethod.html", true);
    }

    var renderChainMenu = function(chain) {
    	document.getElementById("id_chain").innerHTML = chain;
    	if(chain == "ETHG") {
    		if(!$('#id_menu_ethg').hasClass("po_acytive")) {
    			$('#id_menu_ethg').addClass("po_acytive")
    		}
    		if($('#id_menu_eth').hasClass("po_acytive")) {
    			$('#id_menu_eth').removeClass("po_acytive")
    		}
    		if($('#id_menu_bnb').hasClass("po_acytive")) {
    			$('#id_menu_bnb').removeClass("po_acytive")
    		}
    		if($('#id_menu_ht').hasClass("po_acytive")) {
    			$('#id_menu_ht').removeClass("po_acytive")
    		}
    		if($('#id_menu_matic').hasClass("po_acytive")) {
    			$('#id_menu_matic').removeClass("po_acytive")
    		}
    	} else if(chain == "ETH") {
    		if($('#id_menu_ethg').hasClass("po_acytive")) {
    			$('#id_menu_ethg').removeClass("po_acytive")
    		}
    		if(!$('#id_menu_eth').hasClass("po_acytive")) {
    			$('#id_menu_eth').addClass("po_acytive")
    		}
    		if($('#id_menu_bnb').hasClass("po_acytive")) {
    			$('#id_menu_bnb').removeClass("po_acytive")
    		}
    		if($('#id_menu_ht').hasClass("po_acytive")) {
    			$('#id_menu_ht').removeClass("po_acytive")
    		}
    		if($('#id_menu_matic').hasClass("po_acytive")) {
    			$('#id_menu_matic').removeClass("po_acytive")
    		}
    	} else if(chain == "BNB") {
    		if($('#id_menu_ethg').hasClass("po_acytive")) {
    			$('#id_menu_ethg').removeClass("po_acytive")
    		}
    		if($('#id_menu_eth').hasClass("po_acytive")) {
    			$('#id_menu_eth').removeClass("po_acytive")
    		}
    		if(!$('#id_menu_bnb').hasClass("po_acytive")) {
    			$('#id_menu_bnb').addClass("po_acytive")
    		}
    		if($('#id_menu_ht').hasClass("po_acytive")) {
    			$('#id_menu_ht').removeClass("po_acytive")
    		}
    		if($('#id_menu_matic').hasClass("po_acytive")) {
    			$('#id_menu_matic').removeClass("po_acytive")
    		}
    	} else if(chain == "HT") {
    		if($('#id_menu_ethg').hasClass("po_acytive")) {
    			$('#id_menu_ethg').removeClass("po_acytive")
    		}
    		if($('#id_menu_eth').hasClass("po_acytive")) {
    			$('#id_menu_eth').removeClass("po_acytive")
    		}
    		if($('#id_menu_bnb').hasClass("po_acytive")) {
    			$('#id_menu_bnb').removeClass("po_acytive")
    		}
    		if(!$('#id_menu_ht').hasClass("po_acytive")) {
    			$('#id_menu_ht').addClass("po_acytive")
    		}
    		if($('#id_menu_matic').hasClass("po_acytive")) {
    			$('#id_menu_matic').removeClass("po_acytive")
    		}
    	} else if(chain == "MATIC") {
    		if($('#id_menu_ethg').hasClass("po_acytive")) {
    			$('#id_menu_ethg').removeClass("po_acytive")
    		}
    		if($('#id_menu_eth').hasClass("po_acytive")) {
    			$('#id_menu_eth').removeClass("po_acytive")
    		}
    		if($('#id_menu_bnb').hasClass("po_acytive")) {
    			$('#id_menu_bnb').removeClass("po_acytive")
    		}
    		if($('#id_menu_ht').hasClass("po_acytive")) {
    			$('#id_menu_ht').removeClass("po_acytive")
    		}
    		if(!$('#id_menu_matic').hasClass("po_acytive")) {
    			$('#id_menu_matic').addClass("po_acytive")
    		}
    	}
    }

    window.loadAddrBalance = function(addr) {
    	if(eye == 0) {
	    	rpc_getBalance(addr, function(data_bal) {
	    		document.getElementById("lab_balance_" + addr).innerHTML = showAmount(data_bal);
	    		// document.getElementById("lab_balance").innerHTML = showAmount(data_bal);
	    		// document.getElementById("lab_token_balance").innerHTML = showAmount(data_bal);
	    	}, function(err_bal) {

	    	});
	    }
    }

    var renderAddrsByChain = function(chain) {
    	var accs = getAccs();
    	var curr = getCurrent();

    	var sortedAccs = {};
		var sss = localStorage.getItem('sortedAccs');
		if(sss != null) {
			sortedAccs = JSON.parse(sss);
		}

    	if(accs != null) {

    		accs = merge_sorted_accs(accs, sortedAccs);

    		var html = ""
    		var j = 0;
    		for(var i = 0; i < accs.users.length; i++) {
    			if(accs.users[i].chain == chain) {
    				var showFlag = "none;";
    				if(accs.users[i].addr == curr.addr && accs.users[i].chain == System.chain) {
    					showFlag = "block;"
    				}

    				var other = getAnotherName(accs.users[i].addr);

	    			html += `<div class="as_itemds" id="id_addr_{2}_{1}" >
						<div class="as_bheka">
							{0}
						</div>
						<div class="as_lmked display_flex align-items_center">
							<div class="as_aleoae">
								{3}
							</div>
							<div class="flex_1">
								<div class="as_rlkale" id="id_addr_copy_{1}" >
									<img src="image/e_16.png" alt="">
								</div>
							</div>
							<div class="as_alekauie" style="display:{4};">
								<img src="image/e_17.png" alt="">
							</div>
						</div>
						<div class="as_lmjekas">
							<span id="lab_balance_{1}">***</span><span>{2}</span>
						</div>
					</div>`.format((other == "") ? accs.users[i].name : other, accs.users[i].addr, chain.toUpperCase(), lessAddr(accs.users[i].addr, 20), showFlag, (other == "") ? accs.users[i].name : other);
					
					var taddr = accs.users[i].addr;
					var tchain = chain.toUpperCase();
					var tname = (other == "") ? accs.users[i].name : other;

					var inter = 52 * (i + 1);
					(function(c, d, e, t) {
						setTimeout(function() {
							window.loadAddrBalance(c);

							$('#id_addr_' + d + "_" + c).on('click', function() {
								window.changeUser(d, e, c);
							});

							$('#id_addr_copy_' + c).on('click', function() {
								window.clickCopyAddr(c);
							});

						}, t);

						
					})(taddr, tchain, tname, inter)

				}
    		}
    		document.getElementById("id_list_addr").innerHTML = html;

    	} else {
    		document.getElementById("id_list_addr").innerHTML = "";
    	}
    }

    var copy_clicked = false;

    window.changeUser = function(chain, name, addr) {
    	if(copy_clicked == false) {
	    	setCurrent(name, addr);
	    	setActiveChain(chain);
	    	window.location.reload();
	    } else {
	    	copy_clicked = false;
	    }
    }

    window.clickETHG = function() {
    	var chain = "ETHG";
    	clickedChain = "ETHG";
    	renderChainMenu(chain);
    	renderAddrsByChain(chain);
    }

    window.clickETH = function() {
    	var chain = "ETH";
    	clickedChain = "ETH";  	
    	renderChainMenu(chain);
    	renderAddrsByChain(chain);
    }

    window.clickBNB = function() {
    	var chain = "BNB";
    	clickedChain = "BNB";  	
    	renderChainMenu(chain);
    	renderAddrsByChain(chain);
    }

    window.clickHT = function() {
    	var chain = "HT";
    	clickedChain = "HT";  	
    	renderChainMenu(chain);
    	renderAddrsByChain(chain);
    }

    window.clickMatic = function() {
    	var chain = "MATIC";
    	clickedChain = "MATIC";
    	renderChainMenu(chain);
    	renderAddrsByChain(chain);
    }

    window.clickScan = function() {
		olinkScan("page-1");
	}

	window.clickCopyAddr = function(addr) {
		copy_clicked = true;
		cordova.plugins.clipboard.copy(addr, function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}

	window.clickToken = function(symbol, token, decimal) {
		setCurrentTokenType(symbol, token, "", decimal);
		clickPageNext('transactions.html', true);
	}

	window.loadTokenBalance = function(token, decimal) {
		rpc_ethCall(token, get_erc20_balance(System.addr), function(data_bal) {
			// document.getElementById("lab_token_balance_" + token).innerHTML = showAmount(data_bal);

			balance_table["lab_token_balance_" + token] = showAmount(data_bal, decimal);
			showEye();

		}, function(err_symbol) {
			
		});
	}

	window.loadTokenImg = function(token) {
		setTimeout(function() {
			document.getElementById("id_img_token_" + token).src = "https://www.etherumgold.me/autoplay/token/" + System.chain + "/" + token + ".png";
			document.getElementById("id_img_token_" + token).addEventListener('error', function(e) {
				e.target.src = "image/e_70.png";
			})
		}, 40);
	}

	window.renderTokens = function() {
		document.getElementById("lab_token_name").innerHTML = get_chainSymbol();
		if(System.chain == "ETHG") {
			document.getElementById("id_img_token").src = "image/e_10.png";
		} else if(System.chain == "ETH") {
			document.getElementById("id_img_token").src = "image/e_14.png";
		} else if(System.chain == "BNB") {
			document.getElementById("id_img_token").src = "image/e_12.png"
		} else if(System.chain == "HT") {
			document.getElementById("id_img_token").src = "image/e_75.png"
		} else if(System.chain == "MATIC") {
			document.getElementById("id_img_token").src = "image/Matic.png"
		}

		var tokens = getTokenToCache();
		if(tokens != null) {
			var html = "";

			for(var i = 0; i < tokens.tokenList.length; i++) {
				if(tokens.tokenList[i].chain == System.chain) {
					var tokenImg = ((tokens.tokenList[i].contrAddr == getUsdtAddr()) ? "image/usdt.png" : "image/e_70.png");
					html += `<div class="display_flex align-items_center as_bhele as_bhele_token" id="id_token_{0}_{1}_{3}">
						<div class="as_ryow">
							<img src="{2}" id="id_img_token_{1}" alt="">
						</div>
						<div class="flex_1 as_atywe">
							{0}
						</div>
						<div class="as_abemle">
							<div class="as_aee" id="lab_token_balance_{1}">
								0
							</div>
						</div>
					</div>`.format(tokens.tokenList[i].symbol, tokens.tokenList[i].contrAddr.toLowerCase(), tokenImg, tokens.tokenList[i].decimal);

					var symbol = tokens.tokenList[i].symbol;
					var token = tokens.tokenList[i].contrAddr.toLowerCase();
					var decimal = tokens.tokenList[i].decimal;
					var inter = 1000 + 47 * (i + 1);
					setTimeout(function(c, d, e) {
						window.loadTokenBalance(c, d);
						window.loadTokenImg(c);
					}(token, decimal, symbol), inter);
				}
			}

			document.getElementById("id_list_tokens").innerHTML = html;

			$('.as_bhele_token').on('click', function() {
				var id = $(this).attr('id');
				var ids = id.split('_');
				window.clickToken(ids[ids.length - 3], ids[ids.length - 2], ids[ids.length - 1])
			})
		}
	}

	window.clickLink = function(router, callType) {
		if(router == "") {
			toast(lan.ALERT_UNOPENED);
		} else {
			if(callType == 0) {
				setOpenLink(router);
				window.location.href = "search.html";
			} else if(callType == 1) { // OPEN OTHER APP
				
			}
		}
	}

})

$('.m_my').on('click', function() {
	window.location.href='my.html';
})

$('.as_lakeowl').on('click', function() {
	clickPageNext('ethereum.html');
})

$('.as_ele').on('click', function() {
	window.clickExports();
})

$('.m_transfer_accounts').on('click', function() {
	setCurrentTokenType('ETHG','0','',18);
	clickPageNext('transferAccounts.html',true);
})

$('.m_collection').on('click', function() {
	clickPageNext('collection.html',true);
})

$('.as_belea').on('click', function() {
	clickPageNext('addTokens.html',true);
})

$('.as_bhele').on('click', function() {
	setCurrentTokenType('0','0','',18);
	clickPageNext('transactions.html',true);
})

$('.as_ebhek').on('click', function() {
	window.hideBalance();
})

// open wallet list
$(document).on('click', '.as_kjle', function() {
	$.popup('.popup-about');
});

$(document).on('click', '.as_vgeler', function() {
	$.closeModal('.popup-about');
});
// create wallet
$(document).on('click','.as_turio', function () {
  var buttons1 = [
    {
      text: lan.LAB_ETHG_ASSETS_CREATE_WALLET,
      onClick: function() {
      	setCreatedChain(clickedChain);
      	clickPageNext("createWallet.html#1", true);
      }
    },
    {
      text: lan.LAB_ETHG_ASSETS_IMPORT_WALLET,
      onClick: function() {
      	setCreatedChain(clickedChain);
        clickPageNext("ImportMethod.html", true);
      }
    }
  ];
  var buttons2 = [
    {
      text: lan.LAB_ETHG_ADDTOKENS_CANCEL,
      bg: '#fffff',
	   color: 'red',
    }
  ];
  var groups = [buttons1, buttons2];
  $.actions(groups);
});

$('#id_menu_ethg').on('click', function() {
	window.clickETHG();
});

$('#id_menu_eth').on('click', function() {
	window.clickETH();
});

$('#id_menu_bnb').on('click', function() {
	window.clickBNB();
});

$('#id_menu_ht').on('click', function() {
	window.clickHT();
});

$('#id_menu_matic').on('click', function() {
	window.clickMatic();
});
