$(function() {
	var lan = getLanguage();

	window.onload = function() {
		changeLang();
	}

	window.clickChange = function() {
		var passOld = document.getElementById("id_current_pass").value;
		var passNew = document.getElementById("id_new_pass").value;
		var passNewRep = document.getElementById("id_new_pass_repeat").value;
		var current = getCurrent();
		if (current == null) {
			return;
		}

		if(passOld != System.pass) {
			toast(lan.ALERT_INVALID_PASSWORD);
			return;
		}

		if(!validPass(passNew)) {
			toast(lan.LAB_ETHG_CREATEWALLET_INPUT_PASS);
			return;
		}

		if (passNew != passNewRep) {
			// alert(lan.ALERT_PASSWORD_DIFFERENT);
			toast(lan.ALERT_PASSWORD_INCONSISTENT)
			return;
		}

		// doFingerLock(function() {
			window.saveFile(current.name, current.addr, passOld, passNew)
		// }, function(err_finger) {
		// 	toast(err_finger);
		// })
		
	}

	window.saveFile = function(accName, addr, passOld, passNew) {
		var res = window.localStorage.setItem("olink_priv_" + addr)
		var cont = JSON.parse(res);
		var dataObj = JSON.stringify({
			addr: cont.addr,
			priv: cont.priv,
			pass: passNew
		});
		
		window.localStorage.setItem("olink_priv_" + addr, JSON.stringify(dataObj));
	}

})

$('.ch_btn').on('click', function() {
	window.clickChange();
})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})
