$(function() {
	var lan = getLanguage();

	var localV3 = "";

	window.load = function() {
		var curr = getCurrent();
		System.addr = curr.addr;
		
		var x = window.localStorage.getItem("olink_priv_" + System.addr);
		if(x != null) {
			var dataObj = JSON.parse(x);
			System.UnlockPass = dataObj.pass;

			var priv = dataObj.priv;

			var wallet = Yoethwallet.wallet;
			wallet.fromPrivateKey(priv, function(err, keystore) {
				if (err) {
					// alert(err.message);
					toast(JSON.stringify(err));
					return
				}
				var priv = keystore.getPrivateKey().toString("hex");
				System.Priv = priv;
				keystore.toV3String(System.UnlockPass, null, function(err_v3, v3) {
					document.getElementById("lab_keystore").innerHTML = v3;
					localV3 = v3;

					var mycode = new QRCode(document.getElementById("myqrcode"), {
						width: 200,
						height: 200
					});
					mycode.makeCode(v3);
					$("#myqrcode img").addClass("qrcode_img");
				
				});
			})
		}	
	}

	window.onload = function() {
		changeLang();

	}

	window.clickCopyKst = function() {
		cordova.plugins.clipboard.copy(localV3, function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}

	window.load();
})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

$('.ex_btns').on('click', function() {
	window.clickCopyKst();
})

