$(function() {
	var lan = getLanguage();

	var unlockPass = "";

	window.load = function () {
		var curr = getCurrent();
		System.addr = curr.addr;
		
		var x = window.localStorage.getItem("olink_priv_" + System.addr);
		if(x != null) {
			var dataObj = JSON.parse(x);
			System.UnlockPass = dataObj.pass;
		}	
	}

	window.onload = function() {
		changeLang();
		var curr = getCurrent();
		System.addr = curr.addr;

		var chain = getActiveChain();
    	if(chain == null) {
    		chain = "ETHG"
    	}
    	System.chain = chain;

    	var other = getAnotherName(System.addr);

		document.getElementById("lab_name").innerHTML = (other == "") ? curr.name : other;
		document.getElementById("lab_addr").innerHTML = lessAddr(curr.addr, 6);

		var x = getAddrMnemonic(curr.addr);
        if(x == null) {
        	document.getElementById("id_mne_export").style = "display:none;"
        }
	}

	window.clickExportMne = function() {
		//doFingerLock(function() {
			epassword(lan.LAB_ETHG_CREATEWALLET_WALLET_PASS, lan.LAB_ETHG_ADDTOKENS_CANCEL, lan.LAB_ETHG_ADDTOKENS_OK, function(inputPass) {
				alert(inputPass + "," + System.UnlockPass)
				if (inputPass != System.UnlockPass) {
					setTimeout(function() {
						toast(lan.ALERT_INVALID_PASSWORD);
					}, 50);
					return;
				} else {
					clickPageNext('backupMnemonics.html#1',true);
				}
			});
		// }, function(err_finger) {
		// 	toast(err_finger);
		// })
	}

	window.clickExportPriv = function() {
		//doFingerLock(function() {
			epassword(lan.LAB_ETHG_CREATEWALLET_WALLET_PASS, lan.LAB_ETHG_ADDTOKENS_CANCEL, lan.LAB_ETHG_ADDTOKENS_OK, function(inputPass) {
				if (inputPass != System.UnlockPass) {
					setTimeout(function() {
						toast(lan.ALERT_INVALID_PASSWORD);
					}, 50);
					return;
				} else {
					clickPageNext('backupPrivateKey.html',true);
				}
			});
		// },  function(err_finger) {
		// 	toast(err_finger);
		// })
		
	}

	window.clickExportKst = function() {
		//doFingerLock(function() {
			epassword(lan.LAB_ETHG_CREATEWALLET_WALLET_PASS, lan.LAB_ETHG_ADDTOKENS_CANCEL, lan.LAB_ETHG_ADDTOKENS_OK, function(inputPass) {
				if (inputPass != System.UnlockPass) {
					setTimeout(function() {
						toast(lan.ALERT_INVALID_PASSWORD);
					}, 50);
					return;
				} else {
					clickPageNext('exportKsy.html',true);
				}
			})
		// }, function(err_finger) {
		// 	toast(err_finger);
		// })
		
	}

	window.delete = function() {
		mui.confirm(lan.LAB_CONFIRM_DELETE_WALLET, lan.LAB_ETHG_CREATEWALLET_TIP, [lan.LAB_ETHG_ADDTOKENS_CANCEL, lan.LAB_ETHG_ADDTOKENS_OK], function(obj) {
			if(obj.index == 1) {
				//doFingerLock(function() {
					epassword(lan.LAB_ETHG_CREATEWALLET_WALLET_PASS, lan.LAB_ETHG_ADDTOKENS_CANCEL, lan.LAB_ETHG_ADDTOKENS_OK, function(inputPass) {
						if (inputPass != System.UnlockPass) {
							setTimeout(function() {
								toast(lan.ALERT_INVALID_PASSWORD);
							}, 50);
							return;
						} else {
							delAcc(System.addr, System.chain);

							var accs = getAccs();
							if(accs != null && accs.users != null & accs.users.length > 0) {
								var localChain = false;
								for(var i = 0; i < accs.users.length; i++) {
									if(accs.users[i].chain == System.chain) {
										setCurrent(accs.users[i].name, accs.users[i].addr);
										localChain = true;
										break;
									}
								}
								if(localChain == false) {
									setCurrent(accs.users[0].name, accs.users[0].addr);
								}
								setTimeout(function() {
									clickPagePrev(true);
								}, 800);
							} else {
								delCurrent();
								window.location.href = "index.html";
							}

							setTimeout(function() {
								toast(lan.LAB_OLINK_ALERT_DELETED);
							}, 50);
						}
					})
				// }, function(err_finger) {
				// 	toast(err_finger);
				// })
			}
		});
	}

	window.clickOtherName = function() {
		eothername(lan.LAB_CONFIRM_OTHER_NAME, lan.LAB_ETHG_ADDTOKENS_CANCEL, lan.LAB_ETHG_ADDTOKENS_OK, function(other) {
			if(other.replace(" ", "") == "") {
				setTimeout(function() {
					toast(lan.ALERT_NAME_INVALID);
				}, 100);
				return;
			}

			if (other == "") {
				setTimeout(function() {
					toast(lan.LAB_OLINK_ALERT_NAME_NULL);
				}, 100);
				return;
			}

			if(!validName(other)) {
				setTimeout(function() {
					toast(lan.LAB_OLINK_ALERT_NAME_INVALID);
				}, 100);
				return;
			}
			setAnotherName(System.addr, other);
			document.getElementById("lab_name").innerHTML = other;
			toast(lan.LAB_MODIFY_SUCC);
		});
	}

	window.load();
})

$('.m_walis_xiug').on('click', function() {
	window.clickOtherName();
})

$('.m_mne_export').on('click', function() {
	window.clickExportMne();
})

$('.m_priv_export').on('click', function() {
	window.clickExportPriv();
})

$('.m_kst_export').on('click', function() {
	window.clickExportKst();
})

$('.m_change_pwd').on('click', function() {
	clickPageNext('changePwd.html',true);
})

$('.mn_btn').on('click', function() {
	window.delete();
})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})
