var lan = getLanguage();
var clickedChain = "ETHG";

$(function() {


	var sortedAccs = [];

	var eye = 0;

	window.onload = function() {
		changeLang();

		var chain = getActiveChain();
		if (chain == null) {
			chain = "ETHG"
		}
		System.chain = chain;

		renderAddrsByChain(System.chain);
		renderChainMenu(System.chain);
	}

	var renderChainMenu = function(chain) {
		document.getElementById("id_chain").innerHTML = chain;
		if (chain == "ETHG") {
			if (!$('#id_menu_ethg').hasClass("actives")) {
				$('#id_menu_ethg').addClass("actives")
			}
			if ($('#id_menu_eth').hasClass("actives")) {
				$('#id_menu_eth').removeClass("actives")
			}
			if ($('#id_menu_bnb').hasClass("actives")) {
				$('#id_menu_bnb').removeClass("actives")
			}
			if ($('#id_menu_ht').hasClass("actives")) {
				$('#id_menu_ht').removeClass("actives")
			}
			if ($('#id_menu_matic').hasClass("actives")) {
				$('#id_menu_matic').removeClass("actives")
			}
		} else if (chain == "ETH") {
			if ($('#id_menu_ethg').hasClass("actives")) {
				$('#id_menu_ethg').removeClass("actives")
			}
			if (!$('#id_menu_eth').hasClass("actives")) {
				$('#id_menu_eth').addClass("actives")
			}
			if ($('#id_menu_bnb').hasClass("actives")) {
				$('#id_menu_bnb').removeClass("actives")
			}
			if ($('#id_menu_ht').hasClass("actives")) {
				$('#id_menu_ht').removeClass("actives")
			}
			if ($('#id_menu_matic').hasClass("actives")) {
				$('#id_menu_matic').removeClass("actives")
			}
		} else if (chain == "BNB") {
			if ($('#id_menu_ethg').hasClass("actives")) {
				$('#id_menu_ethg').removeClass("actives")
			}
			if ($('#id_menu_eth').hasClass("actives")) {
				$('#id_menu_eth').removeClass("actives")
			}
			if (!$('#id_menu_bnb').hasClass("actives")) {
				$('#id_menu_bnb').addClass("actives")
			}
			if ($('#id_menu_ht').hasClass("actives")) {
				$('#id_menu_ht').removeClass("actives")
			}
			if ($('#id_menu_matic').hasClass("actives")) {
				$('#id_menu_matic').removeClass("actives")
			}
		} else if (chain == "HT") {
			if ($('#id_menu_ethg').hasClass("actives")) {
				$('#id_menu_ethg').removeClass("actives")
			}
			if ($('#id_menu_eth').hasClass("actives")) {
				$('#id_menu_eth').removeClass("actives")
			}
			if ($('#id_menu_bnb').hasClass("actives")) {
				$('#id_menu_bnb').removeClass("actives")
			}
			if (!$('#id_menu_ht').hasClass("actives")) {
				$('#id_menu_ht').addClass("actives")
			}
			if ($('#id_menu_matic').hasClass("actives")) {
				$('#id_menu_matic').removeClass("actives")
			}
		} else if (chain == "MATIC") {
			if ($('#id_menu_ethg').hasClass("actives")) {
				$('#id_menu_ethg').removeClass("actives")
			}
			if ($('#id_menu_eth').hasClass("actives")) {
				$('#id_menu_eth').removeClass("actives")
			}
			if ($('#id_menu_bnb').hasClass("actives")) {
				$('#id_menu_bnb').removeClass("actives")
			}
			if ($('#id_menu_ht').hasClass("actives")) {
				$('#id_menu_ht').removeClass("actives")
			}
			if (!$('#id_menu_matic').hasClass("actives")) {
				$('#id_menu_matic').addClass("actives")
			}
		}
	}

	window.loadAddrBalance = function(addr) {
		if (eye == 0) {
			rpc_getBalance(addr, function(data_bal) {
				document.getElementById("lab_balance_" + addr).innerHTML = showAmount(data_bal);
				// document.getElementById("lab_balance").innerHTML = showAmount(data_bal);
				// document.getElementById("lab_token_balance").innerHTML = showAmount(data_bal);
			}, function(err_bal) {

			});
		}
	}

	var renderAddrsByChain = function(chain) {
		var accs = getAccs();
		var curr = getCurrent();

		var sortedAccs = {};
		var sss = localStorage.getItem('sortedAccs');
		if(sss != null) {
			sortedAccs = JSON.parse(sss);
		}

		if (accs != null) {

			accs = merge_sorted_accs(accs, sortedAccs);

			var html = ""
			var j = 0;
			for (var i = 0; i < accs.users.length; i++) {
				if (accs.users[i].chain == chain) {

					var showFlag = "none;";
					if (accs.users[i].addr == curr.addr && accs.users[i].chain == System.chain) {
						showFlag = "block;"
					}

					var other = getAnotherName(accs.users[i].addr);

					html += `<div class="man_fgheb man_card" id="id_addr_{2}_{5}_{1}" data-id='{1}'>
						<div class="man_vgbe" >
							{0}
						</div>
						<div class="man_hjkleld display_flex align-items_center ">

							<div class="man_uehk">
								{3}
							</div>
							<div class="man_vvhehj" id="id_addr_copy_{1}">
								<img src="image/e_16.png" alt="">
							</div>
							<div class="flex_1 clearfix">
								<div class="man_vgeh" style="display:{4}">
									<img src="image/e_17.png" alt="" srcset="">
								</div>
							</div>

						</div>
					</div>`.format((other == "") ? accs.users[i].name : other, accs.users[i].addr, chain.toUpperCase(), lessAddr(
							accs.users[i].addr, 20), showFlag, (other == "") ? accs.users[i].name :
						other);


					var taddr = accs.users[i].addr;
					var inter = 52 * (j + 1);
					setTimeout(function(c) {
						window.loadAddrBalance(c);
					}(taddr), inter);

					j++;
				}
			}
			document.getElementById("id_list_addr").innerHTML = html;

			$('.man_card').on('click', function() {
				var id = $(this).attr('id');
				var ids = id.split('_');
				window.changeUser(ids[ids.length - 3], ids[ids.length - 2], ids[ids.length - 1])
			})

			$('.man_vvhehj').on('click', function() {
				var id = $(this).attr('id');
				var ids = id.split('_');
				window.clickCopyAddr(ids[ids.length - 1]);
			})

		} else {
			document.getElementById("id_list_addr").innerHTML = "";
		}
	}

	var copy_clicked = false;

	window.changeUser = function(chain, name, addr) {
		if (copy_clicked == false) {
			setCurrent(name, addr);
			setActiveChain(chain);
			//window.location.reload();
			clickPageNext("exportMethod.html", true);
		} else {
			copy_clicked = false;
		}
	}

	window.clickETHG = function() {
		var chain = "ETHG";
		clickedChain = "ETHG";
		renderChainMenu(chain);
		renderAddrsByChain(chain);
	}

	window.clickETH = function() {
		var chain = "ETH";
		clickedChain = "ETH";
		renderChainMenu(chain);
		renderAddrsByChain(chain);
	}

	window.clickBNB = function() {
		var chain = "BNB";
		clickedChain = "BNB";
		renderChainMenu(chain);
		renderAddrsByChain(chain);
	}

	window.clickHT = function() {
		var chain = "HT";
		clickedChain = "HT";
		renderChainMenu(chain);
		renderAddrsByChain(chain);
	}

	window.clickMatic = function() {
		var chain = "MATIC";
		clickedChain = "MATIC";
		renderChainMenu(chain);
		renderAddrsByChain(chain);
	}

	window.clickCopyAddr = function(addr) {
		copy_clicked = true;
		cordova.plugins.clipboard.copy(addr, function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}



})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

// 创建钱包
$(document).on('click', '.as_turio', function() {
	var buttons1 = [{
			text: lan.LAB_ETHG_ASSETS_CREATE_WALLET,
			onClick: function() {
				setCreatedChain(clickedChain);
				clickPageNext("createWallet.html#1", true);
			}
		},
		{
			text: lan.LAB_ETHG_ASSETS_IMPORT_WALLET,
			onClick: function() {
				setCreatedChain(clickedChain);
				clickPageNext("ImportMethod.html", true);
			}
		}
	];
	var buttons2 = [{
		text: lan.LAB_ETHG_ADDTOKENS_CANCEL,
		bg: '#fffff',
		color: 'red',
	}];
	var groups = [buttons1, buttons2];
	$.actions(groups);
});


//移动拖拽位置
var el = document.getElementById('id_list_addr');
//设置配置
var ops = {
	animation: 1000,
	delay: 500,
	chosenClass: 'chosen',
	onEnd: function(evt) {
		var arr = sortable.toArray();
		console.log(arr)
		
		var sss = localStorage.getItem('sortedAccs');
		var sortedAccs = {};
		if(sss != null) {
			sortedAccs = JSON.parse(sss);
		}

		sortedAccs[System.chain] = {};
		for(var x = 0; x < arr.length; x++) {
			sortedAccs[System.chain][arr[x]] = x;
		}

		localStorage.setItem('sortedAccs', JSON.stringify(sortedAccs));
	},
	
};
var sortable = Sortable.create(el, ops);

$('#id_menu_ethg').on('click', function() {
	window.clickETHG();
})

$('#id_menu_eth').on('click', function() {
	window.clickETH();
})

$('#id_menu_bnb').on('click', function() {
	window.clickBNB();
})

$('#id_menu_ht').on('click', function() {
	window.clickHT();
})

$('#id_menu_matic').on('click', function() {
	window.clickMatic();
})
