$(function() {
	var lan = getLanguage();

	var ps = [];

	window.clickFrom = function() {
		cordova.plugins.clipboard.copy(ps[2], function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}

	window.clickTo = function() {
		cordova.plugins.clipboard.copy(ps[3], function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}

	window.clickTxId = function() {
		cordova.plugins.clipboard.copy(ps[1], function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}

	window.clickBlockNumber = function() {
		cordova.plugins.clipboard.copy(Number(ps[6]), function(data_copy) {
			toast(lan.ALERT_COPY_OK);
		}, function(err_copy) {
			toast(err_copy);
		});
	}

	window.clickLink = function() {
		cordova.InAppBrowser.open(
			get_explorer_link_prev() + ps[1], '_blank',
			'location=yes,toolbar=yes,hideurlbar=yes,toolbarposition=top,clearcache=yes,cleardata=yes,clearsessioncache=yes'
		);
	}

	window.onload = function() {
		changeLang();

		var chain = getActiveChain();
    	if(chain == null) {
    		chain = "ETHG"
    	}
    	System.chain = chain;

		ps = window.location.href.split('#');
		document.getElementById("lab_value").innerHTML = showAmount(ps[4]);
		document.getElementById("lab_from").innerHTML = lessAddr(ps[2], 34);
		document.getElementById("lab_to").innerHTML = lessAddr(ps[3], 34);
		document.getElementById("lab_txid").innerHTML = lessAddr(ps[1], 20);
		document.getElementById("lab_time").innerHTML = getLocalTime(ps[5]);
		document.getElementById("lab_block_height").innerHTML = Number(ps[6]);
		document.getElementById("lab_symbol").innerHTML = ps[7];

		rpc_getTransaction(ps[1], function(data_tx) {
			if(Number(data_tx.blockNumber) > 0) {
				document.getElementById("lab_tx_state").innerHTML = lan.LAB_ETHG_TRANSACTIONDETAILS_SEND_SUCC;
			} else {
				document.getElementById("lab_tx_state").innerHTML = lan.LAB_ETHG_TRANSACTIONDETAILS_SEND_PENDING;
			}
			document.getElementById("lab_gas").innerHTML = calcFee(data_tx.gasPrice, data_tx.gas, true) + get_chainSymbol();
		}, function(err_tx) {

		});

		// var mycode = new QRCode(document.getElementById("myqrcode_1"), {
		// 	width: 120,
		// 	height: 120
		// });
		// mycode.makeCode(get_explorer_link_prev() + ps[1]);
		//$("#myqrcode img").addClass("qrcode_img");
		document.getElementById("myqrcode_1").src = get_qrcode_explorer_img();
	}
})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

$('.m_from').on('click', function() {
	window.clickFrom();
})

$('.m_to').on('click', function() {
	window.clickTo();
})

$('.m_txid').on('click', function() {
	window.clickTxId();
})

$('.m_blocknumber').on('click', function() {
	window.clickBlockNumber();
})
