

try {

	var localResponse;

	chrome.runtime.onMessage.addListener(receiver);

	function receiver(request, sender, sendResponse) {
	    if(request.method == "close_inject_tx") {
			localResponse({args: request.args});
			setTimeout(function() {
				chrome.windows.getCurrent(function(w) {
			    	chrome.windows.remove(w.id);
			    })
			}, 800);
		} else if(request.method == "create_contract") {
			chrome.storage.local.set({'injective_tx_param': {
				type: 10001,  // 10001-create contract, 10002-contract send
				content: {
					bin: request.args[0],
					params: request.args[1],
					inputs: request.args[2]
				}
			}}, function(res) {
				localResponse = sendResponse;
				chrome.windows.getCurrent(function(w) {
			    	chrome.windows.create({
				    	type: "popup",
				    	url: "www/sendTx.html",
				    	width: 420,
				    	height: 620,
				    	left: w.width - 400,
				    	top: 100
				    });
			    })
			});
		} else if(request.method == "enable") {
			var now = Date.parse(new Date()) / 1000;
			//chrome.storage.local.get('last_login').then(function(res_login) {

				//if(res_login.last_login != null && now - parseInt(res_login.last_login.login) < 1800) {
					//chrome.storage.local.set({'last_login': {
					//	login: now,
					//}}, function(res) {
						chrome.storage.local.get('curr').then(function(res) {
							chrome.storage.local.get('active_chain').then(function(res_ac) {
								sendResponse({args: res.curr.addr + ',x,' + res_ac.active_chain.chain});
							})
						});
					//});
				// } else {
				// 	localResponse = sendResponse;
				// 	chrome.windows.getCurrent(function(w) {
				//     	chrome.windows.create({
				// 	    	type: "popup",
				// 	    	url: "www/dapp_logo.html",
				// 	    	width: 380,
				// 	    	height: 620,
				// 	    	left: w.width - 400,
				// 	    	top: 100
				// 	    });
				//     })
				// }
			//});
			
		} else if(request.method == "send_tx" || request.method == "sendx") {
			chrome.storage.local.set({'injective_tx_param': {
				type: 10002,  // 10001-create contract, 10002-contract send
				content: {
					to: request.args.to,
					value: request.args.value,
					data: request.args.data
				}
			}}, function(res) {
				localResponse = sendResponse;
				chrome.windows.getCurrent(function(w) {
			    	chrome.windows.create({
				    	type: "popup",
				    	url: "www/sendTx.html",
				    	width: 420,
				    	height: 620,
				    	left: w.width - 400,
				    	top: 100
				    });
			    })
			});
		} 

		return true;
	}

} catch(err) {
	console.log(err);
}

