$(function() {
	var lan = getLanguage();

	window.renderAddrParam = function() {
		var param = getParamAddrBook();
		if(param != null) {
			var obj = JSON.parse(param);
			document.getElementById("input_name").value = obj.name;
			document.getElementById("input_memo").value = obj.memo;
		}
	}

	window.renderAddrList = function() {
		var _books = getAddrForAddrBook();
		if(_books != null) {
			var obj = JSON.parse(_books);
			var html = "";
			for(var i = 0; i < obj.addrList.length; i++) {
				html += `<div class="ad_list_bottom display_flex align-items_center">
				<div class="ad_list_imgs" onclick="javascript:window.delAddr({2})">
					<img src="image/m_49.png" alt="" srcset="">
				</div>
				<div class="ad_list_right">
					{0}
				</div>
				<div class="flex_1 ad_list_right_1">
					{1}
				</div>
				</div>`.format(get_chainName(obj.addrList[i].chain), obj.addrList[i].addr, i)
			}
			document.getElementById("list_addrs").innerHTML = html;
		} 
	}

	window.delAddr = function(i) {
		delAddrForAddrBook(i);
		window.renderAddrList();
	}

	window.onload = function() {
		changeLang();
		window.renderAddrParam();
		window.renderAddrList();
	}

	window.clickSave = function() {
		var name = document.getElementById("input_name").value;
		var memo = document.getElementById("input_memo").value;
		var list = [];
		var _books = getAddrForAddrBook();
		if(_books != null) {
			var obj = JSON.parse(_books);
			list = obj.addrList;
		}
		newAddrBook(name, memo, list);

		removeAddrForAddrBook();
		removeParamAddrBook();

		clickPagePrev(true);
	}

	window.addWallet = function() {
		var name = document.getElementById("input_name").value;
		var memo = document.getElementById("input_memo").value;
		setParamAddrBook(-1, name, memo);
		clickPageNext('addWallet.html',true);
	}

})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

$('.m_addwallet').on('click', function() {
	window.addWallet();
})

$('.ad_btn').on('click', function() {
	window.clickSave();
})
