$(function() {
	var lan = getLanguage();

	var index = -1;

	window.renderAddrList = function(addrList) {
		var html = "";
		for(var i = 0; i < addrList.length; i++) {
			html += `<div class="ad_list_bottom display_flex align-items_center">
			<div class="ad_list_imgs" onclick="javascript:window.delAddr({2})">
				<img src="image/m_49.png" alt="" srcset="">
			</div>
			<div class="ad_list_right">
				{0}
			</div>
			<div class="flex_1 ad_list_right_1">
				{1}
			</div>
			</div>`.format(get_chainName(addrList[i].chain), addrList[i].addr, i)
		}
		document.getElementById("list_addrs").innerHTML = html;
	}

	window.delAddr = function(i) {
		delAddrForAddrBook(i);
		var _books = getAddrForAddrBook();
		if(_books != null) {
			var obj = JSON.parse(_books);
			window.renderAddrList(obj.addrList);
		}
	}

	window.addWallet = function() {
		var name = document.getElementById("input_name").value;
		var memo = document.getElementById("input_memo").value;
		setParamAddrBook(index, name, memo);
		clickPageNext('addWallet.html',true);
	}

	window.onload = function() {
		changeLang();
		var param = getParamAddrBook();
		if(param == null) {
			var ps = window.location.href.split('#');
			if(ps.length > 1) {
				index = parseInt(ps[ps.length - 1]);
				var addrBooks = getAddrBooks();
				if(addrBooks != null) {
					document.getElementById("input_name").value = addrBooks.books[index].name;
					document.getElementById("input_memo").value = addrBooks.books[index].memo;

					setAddrForAddrBook(addrBooks.books[index].addrs);
					window.renderAddrList(addrBooks.books[index].addrs);
				}
			}
		} else {
			var obj = JSON.parse(param);
			index = obj.index;
			document.getElementById("input_name").value = obj.name;
			document.getElementById("input_memo").value = obj.memo;
			var _books = getAddrForAddrBook();
			if(_books != null) {
				var obj = JSON.parse(_books);
				window.renderAddrList(obj.addrList);
			}
		}
	}

	window.clickSave = function() {
		var name = document.getElementById("input_name").value;
		var memo = document.getElementById("input_memo").value;
		var list = [];
		var _books = getAddrForAddrBook();
		if(_books != null) {
			var obj = JSON.parse(_books);
			list = obj.addrList;
		}
		setAddrBook(index, name, memo, list);

		removeAddrForAddrBook();
		removeParamAddrBook();

		clickPagePrev(true);
	}
})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

$('.m_addwallet').on('click', function() {
	window.addWallet();
})

$('.ad_btn').on('click', function() {
	window.clickSave();
})
