$(function() {
	var lan = getLanguage();

	var ws = [];
	var bs = [false, false, false, false, false, false, false, false, false, false, false, false];

	window.subDirEntry = null;

	window.onload = function() {
		changeLang();
		var mne = getMnemonic();
		if (mne == null) {
			return;
		}
		ws = mne.mne.split(' ');
		for (var i = 0; i < 50; i++) {
			var a = Math.floor(Math.random() * 12);
			var b = Math.floor(Math.random() * 12);
			var tmp = ws[a];
			ws[a] = ws[b];
			ws[b] = tmp;
		}

		for (var j = 1; j <= 12; j++) {
			document.getElementById("lab_rm" + j).innerHTML = ws[j - 1];
		}
	}

	window.clickM = function(index) {
		if (document.getElementById("lab_m" + index).innerHTML != "") {
			for (var i = 1; i <= 12; i++) {
				if (document.getElementById("lab_m" + index).innerHTML == ws[i - 1]) {
					bs[i - 1] = false;
					if (!$('#lab_rm' + i).hasClass('addviere')) {
						$('#lab_rm' + i).addClass('addviere');
					}
					break;
				}
			}

			document.getElementById("lab_m" + index).innerHTML = "";
			// if ($('#lab_m' + index).hasClass('addviere')) {
			// 	$('#lab_m' + index).removeClass('addviere');
			// }
		}
	}

	window.clickRM = function(index) {
		if (!bs[index - 1]) {
			for (var i = 1; i <= 12; i++) {
				if (document.getElementById("lab_m" + i).innerHTML == "") {
					document.getElementById("lab_m" + i).innerHTML = ws[index - 1];
					// if (!$('#lab_m' + i).hasClass('active')) {
					// 	$('#lab_m' + i).addClass('active');
					// }
					break;
				}
			}
			bs[index - 1] = true;
			if ($('#lab_rm' + index).hasClass('addviere')) {
				$('#lab_rm' + index).removeClass('addviere');
			}
		} else {
			for (var i = 1; i <= 12; i++) {
				if (document.getElementById("lab_m" + i).innerHTML == ws[index - 1]) {
					bs[index - 1] = false;
					if (!$('#lab_rm' + index).hasClass('addviere')) {
						$('#lab_rm' + index).addClass('addviere');
					}
					document.getElementById("lab_m" + i).innerHTML = "";
					// if ($('#lab_m' + i).hasClass('addviere')) {
					// 	$('#lab_m' + i).removeClass('addviere');
					// }
					break;
				}
			}
		}
	}

	window.clickConfirm = function() {
		var mne = getMnemonic();
		if (mne == null) {
			toast("invalid mnemonic")
			// alert("invalid mnemonic","no permission", "error");
			return;
		}
		var ts = "";
		for (var i = 1; i <= 12; i++) {
			ts += document.getElementById("lab_m" + i).innerHTML;
			if (i < 12) {
				ts += " ";
			}
		}
		if (ts != mne.mne) {
			// alert("invalid mnemonic");
			toast("invalid mnemonic")
			return;
		} else {

			var wallet = Yoethwallet.wallet;
			var bip39 = Yoethwallet.wallet.bip39();
			var HDKey = Yoethwallet.wallet.HDKey();

			var key = HDKey.fromMasterSeed(bip39.mnemonicToSeed(mne.mne));
			var priv = key.derive("m/44\'/60\'/0\'/0/0").privateKey;

			wallet.fromPrivateKey(priv, function(err, keystore) {
				if (err) {
					// alert(err);

					toast(err)
					return;
				}
				//var addr = Base58.fromAddr(keystore.getHexAddress(true));
				var chain = getCreatedChain();
				if(chain == null) {
					chain = "ETHG";
				}

				setActiveChain(chain);

				newAcc(mne.name, keystore.getHexAddress(true), chain);
				setCurrent(mne.name, keystore.getHexAddress(true));
				setAddrMnemonic(keystore.getHexAddress(true), mne.mne)

				window.saveFile(mne.name, keystore.getHexAddress(true), priv, mne.pass);

			});
		}
	}

	window.saveFile = function(accName, addr, priv, pass) {
		var dataObj = JSON.stringify({
			addr: addr,
			priv: priv,
			pass: pass
		});

		window.localStorage.setItem("olink_priv_" + addr, dataObj);
		clearPageStack();
		window.location.href = "assets.html";
	}
})

$('.pu_bank').on('click', function() {
	clickPagePrev(true);
})

$('.ve_btn').on('click', function() {
	window.clickConfirm();
})

$('#lab_m1').on('click', function() {
	window.clickM(1);
})
$('#lab_m2').on('click', function() {
	window.clickM(2);
})
$('#lab_m3').on('click', function() {
	window.clickM(3);
})
$('#lab_m4').on('click', function() {
	window.clickM(4);
})
$('#lab_m5').on('click', function() {
	window.clickM(5);
})
$('#lab_m6').on('click', function() {
	window.clickM(6);
})
$('#lab_m7').on('click', function() {
	window.clickM(7);
})
$('#lab_m8').on('click', function() {
	window.clickM(8);
})
$('#lab_m9').on('click', function() {
	window.clickM(9);
})
$('#lab_m10').on('click', function() {
	window.clickM(10);
})
$('#lab_m11').on('click', function() {
	window.clickM(11);
})
$('#lab_m12').on('click', function() {
	window.clickM(12);
})

$('#lab_rm1').on('click', function() {
	window.clickRM(1);
})
$('#lab_rm2').on('click', function() {
	window.clickRM(2);
})
$('#lab_rm3').on('click', function() {
	window.clickRM(3);
})
$('#lab_rm4').on('click', function() {
	window.clickRM(4);
})
$('#lab_rm5').on('click', function() {
	window.clickRM(5);
})
$('#lab_rm6').on('click', function() {
	window.clickRM(6);
})
$('#lab_rm7').on('click', function() {
	window.clickRM(7);
})
$('#lab_rm8').on('click', function() {
	window.clickRM(8);
})
$('#lab_rm9').on('click', function() {
	window.clickRM(9);
})
$('#lab_rm10').on('click', function() {
	window.clickRM(10);
})
$('#lab_rm11').on('click', function() {
	window.clickRM(11);
})
$('#lab_rm12').on('click', function() {
	window.clickRM(12);
})
